RelayAPI

Fetch TikTok creator info (available privacy levels, posting limits)

Returns TikTok creator details, available privacy levels, and default interaction settings. Use this before creating TikTok posts to ensure the privacy_level is valid for the account.

GET
/v1/accounts/{id}/tiktok-creator-info
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Path Parameters

id*string

Resource ID

Response Body

application/json

application/json

application/json

curl -X GET "https://api.relayapi.dev/v1/accounts/string/tiktok-creator-info"
{
  "creator_avatar_url": "string",
  "creator_username": "string",
  "creator_nickname": "string",
  "privacy_level_options": [
    "string"
  ],
  "comment_disabled": true,
  "duet_disabled": true,
  "stitch_disabled": true,
  "max_video_post_duration_sec": 0
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo